---
updatedAt: 2026-09-29T08:43:39.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Edit applicant note

# Overview

Use this method to edit an existing [note](https://docs.sumsub.com/sumsub/docs/user-verification-check-results#notes) in the applicant profile.

<Callout icon="📘" theme="info">
  ### Info

  - To add a new note to the applicant profile, use [this method](https://docs.sumsub.com/sumsub/reference/add-applicant-note).
  - To add an attachment to the note use [this method](https://docs.sumsub.com/sumsub/reference/add-attachment-to-applicant-note).
  - To remove an attachment from the note use [this method](https://docs.sumsub.com/sumsub/reference/remove-note-attachment).
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Manage applicant notes** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Request example

```curl
curl -X PATCH \
     'https://api.sumsub.com/resources/api/applicants/notes' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
           "id": "6893925cff736e92c020acaa",
           "applicantId": "687fb2373fc85ad66b500000",
           "note": "This is an updated example note",
           "tags": [
             "First tag",
             "Second tag"
           ]
     	 }'
```

# Response explained

The response is a JSON file representing the note details. The following tables explain the response attributes.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`id`",
    "0-1": "String",
    "0-2": "Note identifier. You may need it in case you want to [edit a note](https://docs.sumsub.com/sumsub/reference/edit-applicant-note), [remove a note](https://docs.sumsub.com/sumsub/reference/remove-applicant-note), or [add an attachment](https://docs.sumsub.com/sumsub/reference/add-attachment-to-applicant-note).",
    "1-0": "`applicantId`",
    "1-1": "String",
    "1-2": "Unique applicant identifier in the Sumsub system (`applicantId`).  \n  \nThis identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side.",
    "2-0": "`note`",
    "2-1": "String",
    "2-2": "Text of the note.",
    "3-0": "`createdAt`",
    "3-1": "Date",
    "3-2": "Date and time when the note was added.",
    "4-0": "`createdBy`",
    "4-1": "String",
    "4-2": "Identifier of the note author.",
    "5-0": "`updatedAt`",
    "5-1": "Date",
    "5-2": "Date and time when the note was last updated.",
    "6-0": "`updatedBy`",
    "6-1": "String",
    "6-2": "Identifier of the author who last updated the note.",
    "7-0": "`tags`",
    "7-1": "Array of strings",
    "7-2": "Tags assigned to the note.",
    "8-0": "`attachments`",
    "8-1": "[Array of objects](#attachments-element-fields)",
    "8-2": "Contains information about attached files."
  },
  "cols": 3,
  "rows": 9,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## `attachments` element fields

The following table explains the `attachments` element fields representing information about attached files.

| Field       | Type    | Description                               |
| :---------- | :------ | :---------------------------------------- |
| `id`        | String  | Identifier of the attached file.          |
| `fileName`  | String  | Name of the file.                         |
| `createdAt` | Date    | Date and time when the file was attached. |
| `createdBy` | String  | Identifier of the attachment author.      |
| `fileSize`  | Integer | Image file size (in bytes).               |

# Response examples

If the request is sent and processed successfully, you will receive a response like the following:

```json
{
   "id": "6893925cff736e92c020acaa",
   "applicantId": "687fb2373fc85ad66b500000",
   "note": "This is an updated example note",
   "createdAt": "2025-08-07 17:35:24+0000",
   "createdBy": "example_user",
   "tags": [
       "First tag",
       "Second tag"
   ]
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
    "code": 400,
    "description": "note must not be null",
    "correlationId": "f23e05c9f1a0aa2beb83065f98dc0544"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/api/applicants/notes": {
      "patch": {
        "summary": "Edit applicant note",
        "description": "",
        "operationId": "edit-applicant-note",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "id",
                  "applicantId",
                  "note"
                ],
                "properties": {
                  "id": {
                    "type": "string",
                    "description": "Unique identifier of the note in the Sumsub system. <br><br>If this identifier id is unknown to you, use the [Get applicant notes](https://docs.sumsub.com/sumsub/reference/get-applicant-notes) method to fetch it."
                  },
                  "applicantId": {
                    "type": "string",
                    "description": "Unique identifier of the applicant in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it."
                  },
                  "note": {
                    "type": "string",
                    "description": "Updated text of the note."
                  },
                  "tags": {
                    "type": "array",
                    "description": "Updated list of [tags](https://docs.sumsub.com/sumsub/reference/add-custom-applicant-tags) that you may want to assign to the note (one tag per string). <br><br>To add a tag to the note, [create the tag](https://docs.sumsub.com/sumsub/docs/add-applicant-tags) in advance. Mind that tag names are case sensitive.",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```